Bug 8909 - MARC21 240$a (Uniform title) is not a URL
Summary: MARC21 240$a (Uniform title) is not a URL
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-11 22:34 UTC by Jared Camins-Esakov
Modified: 2016-06-21 21:37 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 8909: MARC21 240$a (Uniform title) is not a URL (102.42 KB, patch)
2014-11-30 07:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED OFF]Bug 8909: MARC21 240$a (Uniform title) is not a URL (102.49 KB, patch)
2014-12-26 21:27 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 8909: MARC21 240$a (Uniform title) is not a URL (102.42 KB, patch)
2015-01-02 12:58 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-10-11 22:34:18 UTC
For reasons unknown, 240$a is marked as a URL in the default MARC21 frameworks. It isn't, and treating it as one in the MARC view results in broken links. For example, links like: http://192.168.122.28:8080/cgi-bin/koha/catalogue/Menschwerdung%20Gottes
Comment 1 Katrin Fischer 2014-09-01 12:29:52 UTC
Still valid in current master.
Comment 2 Katrin Fischer 2014-11-30 07:06:53 UTC Comment hidden (obsolete)
Comment 3 Nick Clemens 2014-12-26 21:27:41 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2014-12-27 16:01:21 UTC
I can't QA this for obvious reasons :)
Comment 5 Kyle M Hall 2015-01-02 12:58:17 UTC
Created attachment 34861 [details] [review]
[PASSED QA] Bug 8909: MARC21 240$a (Uniform title) is not a URL

Patch removes the 'isUrl' attribute from all 240$a fields in the various
frameworks. The change removes the broken link from the staff detail
MARC tab view.

Changes are a little easier to spot with: git diff --color-words HEAD^

To test:
- Load some or all of the frameworks
- Verify that 240$a is no longer marked as being an URL

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Tomás Cohen Arazi 2015-01-04 16:06:41 UTC
Patch pushed to master.

Thanks Katrina!